(function($) {
$.fn.bootstrapFileInput = function(loadDirectory = false) {
    var fileInput = $('<input type="file" class="input-ghost" ' + (loadDirectory ? 'webkitdirectory' : '') +' style="visibility:hidden; height:0">');
    fileInput.change(function() {
        $('#file-input-list').html('');
        const files = $(this).prop('files');
        if (files.length == 0) {
            return;
        }
        var filesList = '';
        $.each(files, function(index, file){
             filesList += '<div style="overflow: hidden"><span id="file-' + index + '"><i class="fa fa-circle-o"></i> ' + file.name + '</span></div>';
        });
        $('#file-input-list').html(filesList);
    });
    $(this).find('button.btn-choose').click(function() {
        fileInput.click();
    });
    $(this).find('input').mousedown(function() {
        return false;
    });
    $(this).append(fileInput);
};
})(jQuery);
